com.sun.grid.jgdi.configuration

## Class JobSchedulingMessageImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JobSchedulingMessageImpl

- All Implemented Interfaces:
    GEObject, JobSchedulingMessage, java.io.Serializable, java.lang.Cloneable

      public class JobSchedulingMessageImpl
      extends GEObjectImpl
      implements JobSchedulingMessage

  Java representation of the cull object MES_Type defined in sge_all_listsL.template

  Warning: The JobSchedulingMessageImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobSchedulingMessageImpl()` Create a new instance of JobSchedulingMessageImpl.
    `JobSchedulingMessageImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobNumber(ULNG ajobNumber)` Add a com.sun.grid.jgdi.configuration.ULNG attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `ULNG` | `getJobNumber(int index)` Get a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
    `int` | `getJobNumberCount()` Get the number of com.sun.grid.jgdi.configuration.ULNG attributes.
    `java.util.List<ULNG>` | `getJobNumberList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ULNG attributes.
    `java.lang.String` | `getMessage()` Get the value of the message attribute.
    `int` | `getMessageNumber()` Get the value of the messageNumber attribute.
    `boolean` | `isSetJobNumber()` Determine if the jobNumber attribute is set
    `boolean` | `isSetMessage()` Determine if the message attribute is set
    `boolean` | `isSetMessageNumber()` Determine if the messageNumber attribute is set
    `void` | `removeAllJobNumber()` Remove all com.sun.grid.jgdi.configuration.ULNG attributes.
    `ULNG` | `removeJobNumber(int index)` Remote a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
    `boolean` | `removeJobNumber(ULNG ajobNumber)` Remote a specific com.sun.grid.jgdi.configuration.ULNG attribute.
    `void` | `setJobNumber(int index, ULNG ajobNumber)` Set a com.sun.grid.jgdi.configuration.ULNG attribute.
    `void` | `setMessage(java.lang.String aMessage)` Set the message attribute.
    `void` | `setMessageNumber(int aMessageNumber)` Set the messageNumber attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JobSchedulingMessageImpl

          public JobSchedulingMessageImpl()

      Create a new instance of JobSchedulingMessageImpl. The new instance will not be initialized with the default values.

    - #### JobSchedulingMessageImpl

          public JobSchedulingMessageImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### addJobNumber

          public void addJobNumber(ULNG ajobNumber)

      Add a com.sun.grid.jgdi.configuration.ULNG attribute.
      Specified by:
        `addJobNumber` in interface `JobSchedulingMessage`
      Parameters:
        `ajobNumber` - the new com.sun.grid.jgdi.configuration.ULNG attribute

    - #### setJobNumber

          public void setJobNumber(int index,
                                   ULNG ajobNumber)

      Set a com.sun.grid.jgdi.configuration.ULNG attribute.
      Specified by:
        `setJobNumber` in interface `JobSchedulingMessage`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ULNG attribute
        `ajobNumber` - the new com.sun.grid.jgdi.configuration.ULNG attribute

    - #### removeAllJobNumber

          public void removeAllJobNumber()

      Remove all com.sun.grid.jgdi.configuration.ULNG attributes.
      Specified by:
        `removeAllJobNumber` in interface `JobSchedulingMessage`

    - #### removeJobNumber

          public ULNG removeJobNumber(int index)

      Remote a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
      Specified by:
        `removeJobNumber` in interface `JobSchedulingMessage`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ULNG attribute or `null` if no attribute at this index is stored

    - #### removeJobNumber

          public boolean removeJobNumber(ULNG ajobNumber)

      Remote a specific com.sun.grid.jgdi.configuration.ULNG attribute.
      Specified by:
        `removeJobNumber` in interface `JobSchedulingMessage`
      Parameters:
        `ajobNumber` - the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ULNG attribute has been removed

    - #### getJobNumberList

          public java.util.List<ULNG> getJobNumberList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ULNG attributes.
      Specified by:
        `getJobNumberList` in interface `JobSchedulingMessage`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ULNG attributes

    - #### getJobNumberCount

          public int getJobNumberCount()

      Get the number of com.sun.grid.jgdi.configuration.ULNG attributes.
      Specified by:
        `getJobNumberCount` in interface `JobSchedulingMessage`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ULNG attributes.

    - #### getJobNumber

          public ULNG getJobNumber(int index)

      Get a com.sun.grid.jgdi.configuration.ULNG attribute at an index.
      Specified by:
        `getJobNumber` in interface `JobSchedulingMessage`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ULNG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ULNG attribute

    - #### isSetJobNumber

          public boolean isSetJobNumber()

      Determine if the jobNumber attribute is set
      Specified by:
        `isSetJobNumber` in interface `JobSchedulingMessage`
      Returns:
        `true` if the jobNumber attribute is set

    - #### isSetMessageNumber

          public boolean isSetMessageNumber()

      Determine if the messageNumber attribute is set
      Specified by:
        `isSetMessageNumber` in interface `JobSchedulingMessage`
      Returns:
        `true` if the messageNumber attribute is set

    - #### setMessageNumber

          public void setMessageNumber(int aMessageNumber)

      Set the messageNumber attribute.
      Specified by:
        `setMessageNumber` in interface `JobSchedulingMessage`
      Parameters:
        `aMessageNumber` - the new value for the messageNumber attribute

    - #### getMessageNumber

          public int getMessageNumber()

      Get the value of the messageNumber attribute.
      Specified by:
        `getMessageNumber` in interface `JobSchedulingMessage`
      Returns:
        the value of the messageNumber attribute

    - #### isSetMessage

          public boolean isSetMessage()

      Determine if the message attribute is set
      Specified by:
        `isSetMessage` in interface `JobSchedulingMessage`
      Returns:
        `true` if the message attribute is set

    - #### setMessage

          public void setMessage(java.lang.String aMessage)

      Set the message attribute.
      Specified by:
        `setMessage` in interface `JobSchedulingMessage`
      Parameters:
        `aMessage` - the new value for the message attribute

    - #### getMessage

          public java.lang.String getMessage()

      Get the value of the message attribute.
      Specified by:
        `getMessage` in interface `JobSchedulingMessage`
      Returns:
        the value of the message attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JobSchedulingMessage`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.